directory-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From seelm...@apache.org
Subject svn commit: r697694 - /directory/studio/trunk/pom.xml
Date Mon, 22 Sep 2008 08:01:44 GMT
Author: seelmann
Date: Mon Sep 22 01:01:44 2008
New Revision: 697694

URL: http://svn.apache.org/viewvc?rev=697694&view=rev
Log:
Removed win new lines from commit r697608

Modified:
    directory/studio/trunk/pom.xml

Modified: directory/studio/trunk/pom.xml
URL: http://svn.apache.org/viewvc/directory/studio/trunk/pom.xml?rev=697694&r1=697693&r2=697694&view=diff
==============================================================================
--- directory/studio/trunk/pom.xml (original)
+++ directory/studio/trunk/pom.xml Mon Sep 22 01:01:44 2008
@@ -1,1227 +1,1227 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!--
-  Licensed to the Apache Software Foundation (ASF) under one
-  or more contributor license agreements.  See the NOTICE file
-  distributed with this work for additional information
-  regarding copyright ownership.  The ASF licenses this file
-  to you under the Apache License, Version 2.0 (the
-  "License"); you may not use this file except in compliance
-  with the License.  You may obtain a copy of the License at
-  
-  http://www.apache.org/licenses/LICENSE-2.0
-  
-  Unless required by applicable law or agreed to in writing,
-  software distributed under the License is distributed on an
-  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
-  KIND, either express or implied.  See the License for the
-  specific language governing permissions and limitations
-  under the License.
--->
-<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
-  <modelVersion>4.0.0</modelVersion>
-  <parent>
-    <groupId>org.apache.directory.project</groupId>
-    <artifactId>project</artifactId>
-    <version>13</version>
-  </parent>
-
-  <groupId>org.apache.directory.studio</groupId>
-  <artifactId>parent</artifactId>
-  <version>1.3.0.SNAPSHOT</version>
-  <name>Apache Directory Studio</name>
-  <packaging>pom</packaging>
-
-  <url>http://directory.apache.org/studio/</url>
-
-  <issueManagement>
-    <system>JIRA</system>
-    <url>http://issues.apache.org/jira/browse/DIRSTUDIO</url>
-  </issueManagement>
-
-  <organization>
-    <name>Apache Software Foundation</name>
-    <url>http://www.apache.org</url>
-  </organization>
-
-  <scm>
-    <connection>scm:svn:http://svn.apache.org/repos/asf/directory/studio/trunk/</connection>
-    <developerConnection>scm:svn:https://svn.apache.org/repos/asf/directory/studio/trunk/</developerConnection>
-    <url>https://svn.apache.org/repos/asf/directory/studio/trunk/</url>
-  </scm>
-
-  <distributionManagement>
-    <site>
-      <id>apache.directory.studio</id>
-      <url>scpexe://vm094.oxylos.org/var/www/html/projects/studio/</url>
-    </site>
-  </distributionManagement>
-
-  <properties>
-    <!-- Set versions for subprojects -->
-    <aciitemeditor.version>1.3.0.SNAPSHOT</aciitemeditor.version>
-    <apacheds.launcher.version>1.2.0</apacheds.launcher.version>
-    <apacheds.version>1.3.0.SNAPSHOT</apacheds.version>
-    <apacheds.help.version>1.3.0.SNAPSHOT</apacheds.help.version>
-    <apacheds.feature.version>1.3.0.SNAPSHOT</apacheds.feature.version>
-    <apacheds.configuration.version>1.3.0.SNAPSHOT</apacheds.configuration.version>
-    <apacheds.configuration.feature.version>1.3.0.SNAPSHOT</apacheds.configuration.feature.version>
-    <apacheds.configuration.help.version>1.3.0.SNAPSHOT</apacheds.configuration.help.version>
-    <connection.core.version>1.3.0.SNAPSHOT</connection.core.version>
-    <connection.ui.version>1.3.0.SNAPSHOT</connection.ui.version>
-    <jars.version>1.3.0.SNAPSHOT</jars.version>
-    <ldapbrowser.common.version>1.3.0.SNAPSHOT</ldapbrowser.common.version>
-    <ldapbrowser.core.version>1.3.0.SNAPSHOT</ldapbrowser.core.version>
-    <ldapbrowser.feature.version>1.3.0.SNAPSHOT</ldapbrowser.feature.version>
-    <ldapbrowser.help.version>1.3.0.SNAPSHOT</ldapbrowser.help.version>
-    <ldapbrowser.ui.version>1.3.0.SNAPSHOT</ldapbrowser.ui.version>
-    <ldifeditor.version>1.3.0.SNAPSHOT</ldifeditor.version>
-    <ldifeditor.feature.version>1.3.0.SNAPSHOT</ldifeditor.feature.version>
-    <ldifeditor.help.version>1.3.0.SNAPSHOT</ldifeditor.help.version>
-    <ldifparser.version>1.3.0.SNAPSHOT</ldifparser.version>
-    <rcp.version>1.3.0.SNAPSHOT</rcp.version>
-    <rcp.feature.version>1.3.0.SNAPSHOT</rcp.feature.version>
-    <rcp.help.version>1.3.0.SNAPSHOT</rcp.help.version>
-    <repository.version>1.3.0.SNAPSHOT</repository.version>
-    <schemaeditor.version>1.3.0.SNAPSHOT</schemaeditor.version>
-    <schemaeditor.feature.version>1.3.0.SNAPSHOT</schemaeditor.feature.version>
-    <schemaeditor.help.version>1.3.0.SNAPSHOT</schemaeditor.help.version>
-    <studio.dsml.parser.version>0.4.3-SNAPSHOT</studio.dsml.parser.version>
-    <updatesite.version>1.3.0.SNAPSHOT</updatesite.version>
-    <valueeditors.version>1.3.0.SNAPSHOT</valueeditors.version>
-    <test.integration.core.version>1.3.0.SNAPSHOT</test.integration.core.version>
-    <test.integration.ui.version>1.3.0.SNAPSHOT</test.integration.ui.version>
-
-    <!-- Set versions for depending projects -->
-    <org.apache.directory.shared.version>0.9.13-SNAPSHOT</org.apache.directory.shared.version>
-  </properties>
-
-  <profiles>
-    <!-- Skip tests -->
-    <profile>
-      <id>notests</id>
-      <properties>
-        <maven.test.skip>true</maven.test.skip>
-      </properties>
-    </profile>
-  </profiles>
-
-  <dependencyManagement>
-    <dependencies>
-      <!-- Apache Directory Studio -->
-      <dependency>
-        <groupId>org.apache.directory.studio</groupId>
-        <artifactId>studio-dsml-parser</artifactId>
-        <version>${studio.dsml.parser.version}</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.directory.studio</groupId>
-        <artifactId>ldapbrowser.core</artifactId>
-        <version>${ldapbrowser.core.version}</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.directory.studio</groupId>
-        <artifactId>ldapbrowser.common</artifactId>
-        <version>${ldapbrowser.common.version}</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.directory.studio</groupId>
-        <artifactId>connection.ui</artifactId>
-        <version>${connection.ui.version}</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.directory.studio</groupId>
-        <artifactId>connection.core</artifactId>
-        <version>${connection.core.version}</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.directory.studio</groupId>
-        <artifactId>valueeditors</artifactId>
-        <version>${valueeditors.version}</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.directory.studio</groupId>
-        <artifactId>rcp</artifactId>
-        <version>${rcp.version}</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.directory.studio</groupId>
-        <artifactId>ldifeditor</artifactId>
-        <version>${ldifeditor.version}</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.directory.studio</groupId>
-        <artifactId>ldifparser</artifactId>
-        <version>${ldifparser.version}</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.directory.studio</groupId>
-        <artifactId>schemaeditor</artifactId>
-        <version>${schemaeditor.version}</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.directory.studio</groupId>
-        <artifactId>ldapbrowser.ui</artifactId>
-        <version>${ldapbrowser.ui.version}</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.directory.studio</groupId>
-        <artifactId>apacheds.configuration</artifactId>
-        <version>${apacheds.configuration.version}</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.directory.studio</groupId>
-        <artifactId>apacheds</artifactId>
-        <version>${apacheds.version}</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.directory.studio</groupId>
-        <artifactId>apacheds-launcher</artifactId>
-        <version>${apacheds.launcher.version}</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.directory.studio</groupId>
-        <artifactId>jars</artifactId>
-        <version>${jars.version}</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.directory.studio</groupId>
-        <artifactId>updatesite</artifactId>
-        <version>${updatesite.version}</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.directory.studio</groupId>
-        <artifactId>aciitemeditor</artifactId>
-        <version>${aciitemeditor.version}</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.directory.studio</groupId>
-        <artifactId>rcp.feature</artifactId>
-        <version>${rcp.feature.version}</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.directory.studio</groupId>
-        <artifactId>schemaeditor.feature</artifactId>
-        <version>${schemaeditor.feature.version}</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.directory.studio</groupId>
-        <artifactId>ldapbrowser.feature</artifactId>
-        <version>${ldapbrowser.feature.version}</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.directory.studio</groupId>
-        <artifactId>ldifeditor.feature</artifactId>
-        <version>${ldifeditor.feature.version}</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.directory.studio</groupId>
-        <artifactId>apacheds.configuration.feature</artifactId>
-        <version>${apacheds.configuration.feature.version}</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.directory.studio</groupId>
-        <artifactId>apacheds.feature</artifactId>
-        <version>${apacheds.feature.version}</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.directory.studio</groupId>
-        <artifactId>schemaeditor.help</artifactId>
-        <version>${schemaeditor.help.version}</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.directory.studio</groupId>
-        <artifactId>rcp.help</artifactId>
-        <version>${rcp.help.version}</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.directory.studio</groupId>
-        <artifactId>ldifeditor.help</artifactId>
-        <version>${ldifeditor.help.version}</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.directory.studio</groupId>
-        <artifactId>ldapbrowser.help</artifactId>
-        <version>${ldapbrowser.help.version}</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.directory.studio</groupId>
-        <artifactId>apacheds.configuration.help</artifactId>
-        <version>${apacheds.configuration.help.version}</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.directory.studio</groupId>
-        <artifactId>apacheds.help</artifactId>
-        <version>${apacheds.help.version}</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.directory.studio</groupId>
-        <artifactId>test.integration.core</artifactId>
-        <version>${test.integration.core.version}</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.directory.studio</groupId>
-        <artifactId>test.integration.ui</artifactId>
-        <version>${test.integration.ui.version}</version>
-      </dependency>
-      
-      <!-- Maven -->
-      <dependency>
-        <groupId>org.apache.maven</groupId>
-        <artifactId>maven-plugin-api</artifactId>
-        <version>2.0</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.maven.plugins</groupId>
-        <artifactId>maven-dependency-plugin</artifactId>
-        <version>2.0</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.maven</groupId>
-        <artifactId>maven-artifact</artifactId>
-        <version>2.0.7</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.maven</groupId>
-        <artifactId>maven-model</artifactId>
-        <version>2.0.7</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.maven</groupId>
-        <artifactId>maven-project</artifactId>
-        <version>2.0.7</version>
-      </dependency>
-      
-    <!-- Apache Directory Studio launchers dependencies -->
-    <dependency>
-      <groupId>org.apache.directory.studio</groupId>
-      <artifactId>launcher-linux-x86</artifactId>
-      <type>tar.gz</type>
-      <version>1.1.0</version>
-    </dependency>
-    <dependency>
-      <groupId>org.apache.directory.studio</groupId>
-      <artifactId>launcher-linux-x86_64</artifactId>
-      <type>tar.gz</type>
-      <version>1.1.0</version>
-    </dependency>
-    <dependency>
-      <groupId>org.apache.directory.studio</groupId>
-      <artifactId>launcher-linux-ppc</artifactId>
-      <type>tar.gz</type>
-      <version>1.1.0</version>
-    </dependency>
-    <dependency>
-      <groupId>org.apache.directory.studio</groupId>
-      <artifactId>launcher-macosx</artifactId>
-      <type>tar.gz</type>
-      <version>1.3.0</version>
-    </dependency>
-    <dependency>
-      <groupId>org.apache.directory.studio</groupId>
-      <artifactId>launcher-win32</artifactId>
-      <type>tar.gz</type>
-      <version>1.1.0</version>
-    </dependency>
-	
-	<!-- Eclipse dependencies -->
-    <dependency>
-      <groupId>com.ibm</groupId>
-      <artifactId>icu</artifactId>
-      <version>3.8.1.v20080530</version>
-    </dependency>
-    <dependency>
-      <groupId>javax</groupId>
-      <artifactId>servlet</artifactId>
-      <version>2.4.0.v200806031604</version>
-    </dependency>
-    <dependency>
-      <groupId>javax.servlet</groupId>
-      <artifactId>jsp</artifactId>
-      <version>2.0.0.v200806031607</version>
-    </dependency>
-    <dependency>
-      <groupId>org.apache.commons</groupId>
-      <artifactId>el</artifactId>
-      <version>1.0.0.v200806031608</version>
-    </dependency>
-    <dependency>
-      <groupId>org.apache.commons</groupId>
-      <artifactId>logging</artifactId>
-      <version>1.0.4.v20080605-1930</version>
-    </dependency>
-    <dependency>
-      <groupId>org.apache</groupId>
-      <artifactId>jasper</artifactId>
-      <version>5.5.17.v200806031609</version>
-    </dependency>
-    <dependency>
-      <groupId>org.apache</groupId>
-      <artifactId>lucene</artifactId>
-      <version>1.9.1.v20080530-1600</version>
-    </dependency>
-    <dependency>
-      <groupId>org.apache.lucene</groupId>
-      <artifactId>analysis</artifactId>
-      <version>1.9.1.v20080530-1600</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse</groupId>
-      <artifactId>compare</artifactId>
-      <version>3.4.0.I20080604-studio</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.core</groupId>
-      <artifactId>boot</artifactId>
-      <version>3.1.100.v20080218</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.core</groupId>
-      <artifactId>commands</artifactId>
-      <version>3.4.0.I20080509-2000</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.core</groupId>
-      <artifactId>contenttype</artifactId>
-      <version>3.3.0.v20080604-1400</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.core</groupId>
-      <artifactId>databinding</artifactId>
-      <version>1.1.0.I20080527-2000</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.core</groupId>
-      <artifactId>expressions</artifactId>
-      <version>3.4.0.v20080603-2000</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.core</groupId>
-      <artifactId>filebuffers</artifactId>
-      <version>3.4.0.v20080603-2000</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.core</groupId>
-      <artifactId>filesystem</artifactId>
-      <version>1.2.0.v20080604-1400</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.core.filesystem.linux</groupId>
-      <artifactId>ppc</artifactId>
-      <version>1.0.100.v20080604-1400</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.core.filesystem.linux</groupId>
-      <artifactId>x86</artifactId>
-      <version>1.2.0.v20080604-1400</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.core.filesystem.linux</groupId>
-      <artifactId>x86_64</artifactId>
-      <version>1.0.100.v20080604-1400</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.core.filesystem</groupId>
-      <artifactId>macosx</artifactId>
-      <version>1.0.0.v20080604-1400</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.core.filesystem.win32</groupId>
-      <artifactId>x86</artifactId>
-      <version>1.1.0.v20080604-1400</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.core</groupId>
-      <artifactId>jobs</artifactId>
-      <version>3.4.0.v20080512</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.core</groupId>
-      <artifactId>net</artifactId>
-      <version>1.1.0.I20080604</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.core</groupId>
-      <artifactId>resources</artifactId>
-      <version>3.4.0.v20080604-1400</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.core.resources</groupId>
-      <artifactId>compatibility</artifactId>
-      <version>3.4.0.v20080604-1400</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.core</groupId>
-      <artifactId>runtime</artifactId>
-      <version>3.4.0.v20080512</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.core.runtime</groupId>
-      <artifactId>compatibility</artifactId>
-      <version>3.2.0.v20071008</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.core.runtime.compatibility</groupId>
-      <artifactId>auth</artifactId>
-      <version>3.2.100.v20070502</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.core.runtime.compatibility</groupId>
-      <artifactId>registry</artifactId>
-      <version>3.2.200.v20080610</version>
-      <type>zip</type>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.core</groupId>
-      <artifactId>variables</artifactId>
-      <version>3.2.100.v20080529-1300</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.debug</groupId>
-      <artifactId>core</artifactId>
-      <version>3.4.0.v20080612</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.debug</groupId>
-      <artifactId>ui</artifactId>
-      <version>3.4.0.v20080529-1300-studio</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.equinox</groupId>
-      <artifactId>app</artifactId>
-      <version>1.1.0.v20080421-2006</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.equinox</groupId>
-      <artifactId>common</artifactId>
-      <version>3.4.0.v20080421-2006</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.equinox.http</groupId>
-      <artifactId>jetty</artifactId>
-      <version>1.1.0.v20080425</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.equinox.http</groupId>
-      <artifactId>registry</artifactId>
-      <version>1.0.100.v20080427-0830</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.equinox.http</groupId>
-      <artifactId>servlet</artifactId>
-      <version>1.0.100.v20080427-0830</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.equinox.jsp</groupId>
-      <artifactId>jasper</artifactId>
-      <version>1.0.100.v20080427-0830</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.equinox.jsp.jasper</groupId>
-      <artifactId>registry</artifactId>
-      <version>1.0.0.v20080427-0830</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.equinox</groupId>
-      <artifactId>launcher</artifactId>
-      <version>1.0.100.v20080509-1800</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.equinox.launcher.carbon</groupId>
-      <artifactId>macosx</artifactId>
-      <version>1.0.100.v20080509-1800</version>
-      <type>zip</type>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.equinox.launcher.gtk.linux</groupId>
-      <artifactId>ppc</artifactId>
-      <version>1.0.100.v20080606</version>
-      <type>zip</type>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.equinox.launcher.gtk.linux</groupId>
-      <artifactId>x86</artifactId>
-      <version>1.0.100.v20080606</version>
-      <type>zip</type>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.equinox.launcher.gtk.linux</groupId>
-      <artifactId>x86_64</artifactId>
-      <version>1.0.100.v20080606</version>
-      <type>zip</type>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.equinox.launcher.win32.win32</groupId>
-      <artifactId>x86</artifactId>
-      <version>1.0.100.v20080509-1800</version>
-      <type>zip</type>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.equinox</groupId>
-      <artifactId>preferences</artifactId>
-      <version>3.2.200.v20080421-2006</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.equinox</groupId>
-      <artifactId>registry</artifactId>
-      <version>3.4.0.v20080516-0950</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.equinox</groupId>
-      <artifactId>security</artifactId>
-      <version>1.0.0.v20080512-1800</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse</groupId>
-      <artifactId>help</artifactId>
-      <version>3.3.100.v20080610</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.help</groupId>
-      <artifactId>appserver</artifactId>
-      <version>3.1.300.v20080507</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.help</groupId>
-      <artifactId>base</artifactId>
-      <version>3.3.100.v20080617</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.help</groupId>
-      <artifactId>ui</artifactId>
-      <version>3.3.100.v20080521</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.help</groupId>
-      <artifactId>webapp</artifactId>
-      <version>3.3.100.v20080528</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.jdt</groupId>
-      <artifactId>core</artifactId>
-      <version>3.4.0.v_874</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.jdt.core</groupId>
-      <artifactId>manipulation</artifactId>
-      <version>1.2.0.v20080603-2000</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.jdt</groupId>
-      <artifactId>debug</artifactId>
-      <version>3.4.0.v20080604</version>
-      <type>zip</type>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.jdt.debug</groupId>
-      <artifactId>ui</artifactId>
-      <version>3.3.0.v20080603-studio</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.jdt</groupId>
-      <artifactId>launching</artifactId>
-      <version>3.4.0.v20080529-1300</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.jdt.launching</groupId>
-      <artifactId>macosx</artifactId>
-      <version>3.1.100.v20080422</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.jdt</groupId>
-      <artifactId>ui</artifactId>
-      <version>3.4.0.v20080603-2000-studio</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse</groupId>
-      <artifactId>jface</artifactId>
-      <version>3.4.0.I20080606-1300</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.jface</groupId>
-      <artifactId>databinding</artifactId>
-      <version>1.2.0.I20080515-2000a</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.jface</groupId>
-      <artifactId>text</artifactId>
-      <version>3.4.0.v20080603-2000</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.ltk.core</groupId>
-      <artifactId>refactoring</artifactId>
-      <version>3.4.0.v20080603-2000</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.ltk.ui</groupId>
-      <artifactId>refactoring</artifactId>
-      <version>3.4.0.v20080605-1800</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse</groupId>
-      <artifactId>osgi</artifactId>
-      <version>3.4.0.v20080605-1900</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.osgi</groupId>
-      <artifactId>services</artifactId>
-      <version>3.1.200.v20071203</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.osgi</groupId>
-      <artifactId>util</artifactId>
-      <version>3.1.300.v20080303</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse</groupId>
-      <artifactId>rcp</artifactId>
-      <version>3.4.0.v20080507</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse</groupId>
-      <artifactId>sdk</artifactId>
-      <version>3.4.0.v200806172000</version>
-      <type>zip</type>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse</groupId>
-      <artifactId>search</artifactId>
-      <version>3.4.0.v20080603-2000-studio</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse</groupId>
-      <artifactId>swt</artifactId>
-      <version>3.4.0.v3448f</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.swt.carbon</groupId>
-      <artifactId>macosx</artifactId>
-      <version>3.4.0.v3448f</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.swt.gtk.linux</groupId>
-      <artifactId>ppc</artifactId>
-      <version>3.4.0.v3448f</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.swt.gtk.linux</groupId>
-      <artifactId>x86</artifactId>
-      <version>3.4.0.v3448f</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.swt.gtk.linux</groupId>
-      <artifactId>x86_64</artifactId>
-      <version>3.4.0.v3448f</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.swt.win32.win32</groupId>
-      <artifactId>x86</artifactId>
-      <version>3.4.0.v3448f</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.team</groupId>
-      <artifactId>core</artifactId>
-      <version>3.4.0.I20080605</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.team</groupId>
-      <artifactId>ui</artifactId>
-      <version>3.4.0.I20080604-studio</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse</groupId>
-      <artifactId>text</artifactId>
-      <version>3.4.0.v20080605-1800</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse</groupId>
-      <artifactId>ui</artifactId>
-      <version>3.4.0.I20080610-1200</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.ui</groupId>
-      <artifactId>carbon</artifactId>
-      <version>4.0.0.I20080610-1200</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.ui</groupId>
-      <artifactId>console</artifactId>
-      <version>3.3.0.v20080529-1300</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.ui</groupId>
-      <artifactId>editors</artifactId>
-      <version>3.4.0.v20080603-2000-studio</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.ui</groupId>
-      <artifactId>forms</artifactId>
-      <version>3.3.100.v20080611</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.ui</groupId>
-      <artifactId>ide</artifactId>
-      <version>3.4.0.I20080606-1300-studio</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.ui.ide</groupId>
-      <artifactId>application</artifactId>
-      <version>1.0.0.I20080603-2000-studio</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.ui</groupId>
-      <artifactId>intro</artifactId>
-      <version>3.2.200.v20080610</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.ui</groupId>
-      <artifactId>navigator</artifactId>
-      <version>3.3.100.I20080606-1300</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.ui.navigator</groupId>
-      <artifactId>resources</artifactId>
-      <version>3.3.100.I20080606-1300-studio</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.ui</groupId>
-      <artifactId>net</artifactId>
-      <version>1.0.0.I20080605</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.ui</groupId>
-      <artifactId>views</artifactId>
-      <version>3.3.0.I20080509-2000-studio</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.ui.views.properties</groupId>
-      <artifactId>tabbed</artifactId>
-      <version>3.4.0.I20080527-2000</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.ui</groupId>
-      <artifactId>win32</artifactId>
-      <version>3.2.100.v20080408-0800</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.ui</groupId>
-      <artifactId>workbench</artifactId>
-      <version>3.4.0.I20080606-1300</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.ui.workbench</groupId>
-      <artifactId>compatibility</artifactId>
-      <version>3.2.0.I20080509-2000</version>
-      <type>zip</type>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.ui.workbench</groupId>
-      <artifactId>texteditor</artifactId>
-      <version>3.4.0.v20080603-2000</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.update</groupId>
-      <artifactId>configurator</artifactId>
-      <version>3.2.200.v20080417</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.update</groupId>
-      <artifactId>core</artifactId>
-      <version>3.2.200.v20080515</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.update</groupId>
-      <artifactId>scheduler</artifactId>
-      <version>3.2.100.v20080404</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.update</groupId>
-      <artifactId>ui</artifactId>
-      <version>3.2.100.v20080318</version>
-    </dependency>
-    <dependency>
-      <groupId>org.mortbay</groupId>
-      <artifactId>jetty</artifactId>
-      <version>5.1.14.v200806031611</version>
-    </dependency>
-    
-    <!-- Testing framework dependencies -->
-    <dependency>
-      <groupId>net.sf.swtbot.eclipse</groupId>
-      <artifactId>finder</artifactId>
-        <version>1.2.0.840</version>
-    </dependency>
-    <dependency>
-      <groupId>net.sf.swtbot</groupId>
-      <artifactId>finder</artifactId>
-        <version>1.2.0.840</version>
-    </dependency>
-    
-    <!-- Documentation generation dependencies -->
-    <dependency>
-      <groupId>docbook</groupId>
-      <artifactId>docbook-xml</artifactId>
-      <type>zip</type>
-      <version>4.5</version>
-    </dependency>
-    <dependency>
-      <groupId>docbook</groupId>
-      <artifactId>docbook-xsl</artifactId>
-      <type>zip</type>
-      <version>1.71.1</version>
-    </dependency>
-
-      <!-- Apache Directory Shared -->
-      <dependency>
-        <groupId>org.apache.directory.shared</groupId>
-        <artifactId>shared-ldap</artifactId>
-        <version>${org.apache.directory.shared.version}</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.directory.shared</groupId>
-        <artifactId>shared-asn1</artifactId>
-        <version>${org.apache.directory.shared.version}</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.directory.shared</groupId>
-        <artifactId>shared-converter</artifactId>
-        <version>${org.apache.directory.shared.version}</version>
-      </dependency>
-
-      <!-- Other dependencies -->
-      <dependency>
-        <groupId>org.apache.xmlgraphics</groupId>
-        <artifactId>fop</artifactId>
-        <version>0.94</version>
-      </dependency>
-      <dependency>
-        <groupId>xerces</groupId>
-        <artifactId>xercesImpl</artifactId>
-        <version>2.0.2</version>
-      </dependency>
-      <dependency>
-        <groupId>checkstyle</groupId>
-        <artifactId>checkstyle</artifactId>
-        <version>2.2</version>
-      </dependency>
-      <dependency>
-        <groupId>antlr</groupId>
-        <artifactId>antlr</artifactId>
-        <version>2.7.7</version>
-      </dependency>
-      <dependency>
-        <groupId>docbook</groupId>
-        <artifactId>docbook-xml</artifactId>
-        <type>zip</type>
-        <version>4.5</version>
-      </dependency>
-      <dependency>
-        <groupId>docbook</groupId>
-        <artifactId>docbook-xsl</artifactId>
-        <type>zip</type>
-        <version>1.71.1</version>
-      </dependency>
-      <dependency>
-        <groupId>dom4j</groupId>
-        <artifactId>dom4j</artifactId>
-        <version>1.6.1</version>
-      </dependency>
-      <dependency>
-        <groupId>commons-io</groupId>
-        <artifactId>commons-io</artifactId>
-        <version>1.3.1</version>
-      </dependency>
-      <dependency>
-        <groupId>commons-lang</groupId>
-        <artifactId>commons-lang</artifactId>
-        <version>2.3</version>
-      </dependency>
-      <dependency>
-        <groupId>commons-codec</groupId>
-        <artifactId>commons-codec</artifactId>
-        <version>1.3</version>
-      </dependency>
-      <dependency>
-        <groupId>commons-collections</groupId>
-        <artifactId>commons-collections</artifactId>
-        <version>3.2</version>
-      </dependency>
-      <dependency>
-        <groupId>xpp3</groupId>
-        <artifactId>xpp3</artifactId>
-        <version>1.1.3.4.O</version>
-      </dependency>
-      <dependency>
-        <groupId>junit</groupId>
-        <artifactId>junit</artifactId>
-        <version>3.8.2</version>
-      </dependency>
-      <dependency>
-        <groupId>org.apache.poi</groupId>
-        <artifactId>poi</artifactId>
-        <version>3.0.1-FINAL</version>
-      </dependency>
-      <dependency>
-        <groupId>org.slf4j</groupId>
-        <artifactId>nlog4j</artifactId>
-        <version>1.2.25</version>
-      </dependency>
-
-    </dependencies>
-  </dependencyManagement>
-
-  <modules>
-    <module>repository</module>
-    <module>ldif-parser</module>
-    <module>connection-core</module>
-    <module>studio-dsml-parser</module>
-    <module>ldapbrowser-core</module>
-    <module>connection-ui</module>
-    <module>ldapbrowser-common</module>
-    <module>valueeditors</module>
-    <module>aciitemeditor</module>
-    <module>schemaeditor</module>
-    <module>schemaeditor-feature</module>
-    <module>schemaeditor-help</module>
-    <module>rcp</module>
-    <module>rcp-feature</module>
-    <module>rcp-help</module>
-    <module>ldifeditor</module>
-    <module>ldifeditor-feature</module>
-    <module>ldifeditor-help</module>
-    <module>ldapbrowser-ui</module>
-    <module>ldapbrowser-feature</module>
-    <module>ldapbrowser-help</module>
-    <module>apacheds-configuration</module>
-    <module>apacheds-configuration-feature</module>
-    <module>apacheds-configuration-help</module>
-    <module>apacheds-launcher</module>
-    <module>apacheds</module>
-    <module>apacheds-help</module>
-    <module>apacheds-feature</module>
-    <module>jars</module>
-    <module>test-integration-core</module>
-    <module>test-integration-ui</module>
-    <module>updatesite</module>
-    <module>studio</module>
-  </modules>
-
-  <build>
-    <plugins>
-      <plugin>
-        <groupId>org.apache.directory.studio</groupId>
-        <artifactId>maven-studio-plugin</artifactId>
-        <configuration>
-          <goalPrefix>studio</goalPrefix>
-        </configuration>
-      </plugin>
-      <plugin>
-        <groupId>org.apache.maven.plugins</groupId>
-        <artifactId>maven-eclipse-plugin</artifactId>
-        <configuration>
-          <skip>true</skip>
-        </configuration>
-      </plugin>
-      <plugin>
-        <groupId>org.apache.maven.plugins</groupId>
-        <artifactId>maven-release-plugin</artifactId>
-        <configuration>
-          <tagBase>https://svn.apache.org/repos/asf/directory/studio/tags/</tagBase>
-        </configuration>
-      </plugin>
-      <plugin>
-        <artifactId>maven-compiler-plugin</artifactId>
-        <configuration>
-          <source>1.5</source>
-          <target>1.5</target>
-        </configuration>
-      </plugin>
-    </plugins>
-
-    <pluginManagement>
-      <plugins>
-        <plugin>
-          <groupId>org.apache.directory.studio</groupId>
-          <artifactId>maven-studio-plugin</artifactId>
-          <version>1.0.0</version>
-        </plugin>
-        <plugin>
-          <groupId>org.apache.maven.plugins</groupId>
-          <artifactId>maven-eclipse-plugin</artifactId>
-          <version>2.5.1</version>
-        </plugin>
-        <plugin>
-          <groupId>org.codehaus.mojo</groupId>
-          <artifactId>dependency-maven-plugin</artifactId>
-          <version>1.0</version>
-        </plugin>
-
-        <plugin>
-          <groupId>org.apache.maven.plugins</groupId>
-          <artifactId>maven-antlr-plugin</artifactId>
-          <version>2.0-beta-1</version>
-          <executions>
-            <execution>
-              <goals>
-                <goal>generate</goal>
-              </goals>
-            </execution>
-          </executions>
-        </plugin>
-
-        <plugin>
-          <groupId>org.apache.maven.plugins</groupId>
-          <artifactId>maven-antrun-plugin</artifactId>
-          <dependencies>
-            <dependency>
-              <groupId>org.apache.ant</groupId>
-              <artifactId>ant-apache-regexp</artifactId>
-              <version>1.7.1</version>
-              <scope>compile</scope>
-            </dependency>
-            <dependency>
-              <groupId>xalan</groupId>
-              <artifactId>xalan</artifactId>
-              <version>2.7.0</version>
-              <scope>compile</scope>
-            </dependency>
-            <dependency>
-              <groupId>ant</groupId>
-              <artifactId>optional</artifactId>
-              <version>1.5.4</version>
-              <scope>compile</scope>
-            </dependency>
-            <dependency>
-              <groupId>org.apache.xmlgraphics</groupId>
-              <artifactId>fop</artifactId>
-              <version>0.94</version>
-              <scope>compile</scope>
-            </dependency>
-            <!-- 
-              Putting this dependency in the core pom produces following error (?):
-              Embedded error: java.lang.ClassCastException: org.apache.fop.render.pdf.PDFRendererMaker cannot be cast to org.apache.fop.render.AbstractRendererMaker
-              <dependency>
-              <groupId>org.apache.xmlgraphics</groupId>
-              <artifactId>xmlgraphics-commons</artifactId>
-              <version>1.1</version>
-              <scope>compile</scope>
-              </dependency>
-            -->
-          </dependencies>
-        </plugin>
-      </plugins>
-    </pluginManagement>
-
-  </build>
-
-  <reporting>
-    <excludeDefaults>true</excludeDefaults>
-    <plugins>
-      <!--
-        <plugin>
-        <groupId>org.codehaus.mojo</groupId>
-        <artifactId>changelog-maven-plugin</artifactId>
-        <reportSets>
-        <reportSet>
-        <id>dual-report</id>
-        <configuration>
-        <type>range</type>
-        <range>30</range>
-        </configuration>
-        <reports>
-        <report>changelog</report>
-        <report>file-activity</report>
-        <report>dev-activity</report>
-        </reports>
-        </reportSet>
-        </reportSets>
-        </plugin>
-      -->
-      <plugin>
-        <groupId>org.apache.maven.plugins</groupId>
-        <artifactId>maven-surefire-report-plugin</artifactId>
-        <configuration>
-          <aggregate>true</aggregate>
-        </configuration>
-      </plugin>
-      <plugin>
-        <artifactId>maven-jxr-plugin</artifactId>
-        <configuration>
-          <aggregate>true</aggregate>
-        </configuration>
-      </plugin>
-      <plugin>
-        <artifactId>maven-pmd-plugin</artifactId>
-        <configuration>
-          <linkXref>true</linkXref>
-          <sourceEncoding>utf-8</sourceEncoding>
-          <minimumTokens>100</minimumTokens>
-          <targetJdk>1.5</targetJdk>
-          <aggregate>true</aggregate>
-        </configuration>
-      </plugin>
-      <plugin>
-        <groupId>org.codehaus.mojo</groupId>
-        <artifactId>taglist-maven-plugin</artifactId>
-        <configuration>
-          <tags>
-            <tag>TODO</tag>
-            <tag>@todo</tag>
-            <tag>@deprecated</tag>
-            <tag>FIXME</tag>
-          </tags>
-        </configuration>
-      </plugin>
-      <plugin>
-        <groupId>org.apache.maven.plugins</groupId>
-        <artifactId>maven-javadoc-plugin</artifactId>
-        <configuration>
-          <aggregate>true</aggregate>
-          <minmemory>128m</minmemory>
-          <maxmemory>1g</maxmemory>
-        </configuration>
-      </plugin>
-      <plugin>
-        <groupId>org.codehaus.mojo</groupId>
-        <artifactId>findbugs-maven-plugin</artifactId>
-        <version>1.2</version>
-        <configuration>
-          <xmlOutput>false</xmlOutput>
-          <!--
-            <xmlOutput>true|false</xmlOutput>
-            <xmlOutputDirectory>directory location of xml findbugs report</xmlOutputDirectory>
-            <threshold>High|Normal|Low|Exp|Ignore</threshold>
-            <effort>Min|Default|Max</effort>
-            <excludeFilterFile>findbugs-exclude.xml</excludeFilterFile>
-            <includeFilterFile>findbugs-include.xml</includeFilterFile>
-            <visitors>FindDeadLocalStores,UnreadFields</visitors>
-            <omitVisitors>FindDeadLocalStores,UnreadFields</omitVisitors>
-            <onlyAnalyze>org.codehaus.mojo.findbugs.*</onlyAnalyze>
-            <pluginList>/libs/fb-contrib/fb-contrib-2.8.0.jar</pluginList>
-            <debug>true|false</debug>
-            <relaxed>true|false</relaxed>
-          -->
-        </configuration>
-      </plugin>
-      <plugin>
-        <groupId>org.codehaus.mojo</groupId>
-        <artifactId>cobertura-maven-plugin</artifactId>
-      </plugin>
-      <plugin>
-        <groupId>org.apache.maven.plugins</groupId>
-        <artifactId>maven-checkstyle-plugin</artifactId>
-      </plugin>
-    </plugins>
-  </reporting>
-
-  <repositories>
-    <repository>
-      <id>apache.directory.snapshot.repo</id>
-      <name>Snapshot repository for the Apache Directory project</name>
-      <url>http://vm094.oxylos.org/mirror-maven2/</url>
-      <releases>
-        <enabled>false</enabled>
-      </releases>
-    </repository>
-  </repositories>
-  
-</project>
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+  Licensed to the Apache Software Foundation (ASF) under one
+  or more contributor license agreements.  See the NOTICE file
+  distributed with this work for additional information
+  regarding copyright ownership.  The ASF licenses this file
+  to you under the Apache License, Version 2.0 (the
+  "License"); you may not use this file except in compliance
+  with the License.  You may obtain a copy of the License at
+  
+  http://www.apache.org/licenses/LICENSE-2.0
+  
+  Unless required by applicable law or agreed to in writing,
+  software distributed under the License is distributed on an
+  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+  KIND, either express or implied.  See the License for the
+  specific language governing permissions and limitations
+  under the License.
+-->
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
+  <modelVersion>4.0.0</modelVersion>
+  <parent>
+    <groupId>org.apache.directory.project</groupId>
+    <artifactId>project</artifactId>
+    <version>13</version>
+  </parent>
+
+  <groupId>org.apache.directory.studio</groupId>
+  <artifactId>parent</artifactId>
+  <version>1.3.0.SNAPSHOT</version>
+  <name>Apache Directory Studio</name>
+  <packaging>pom</packaging>
+
+  <url>http://directory.apache.org/studio/</url>
+
+  <issueManagement>
+    <system>JIRA</system>
+    <url>http://issues.apache.org/jira/browse/DIRSTUDIO</url>
+  </issueManagement>
+
+  <organization>
+    <name>Apache Software Foundation</name>
+    <url>http://www.apache.org</url>
+  </organization>
+
+  <scm>
+    <connection>scm:svn:http://svn.apache.org/repos/asf/directory/studio/trunk/</connection>
+    <developerConnection>scm:svn:https://svn.apache.org/repos/asf/directory/studio/trunk/</developerConnection>
+    <url>https://svn.apache.org/repos/asf/directory/studio/trunk/</url>
+  </scm>
+
+  <distributionManagement>
+    <site>
+      <id>apache.directory.studio</id>
+      <url>scpexe://vm094.oxylos.org/var/www/html/projects/studio/</url>
+    </site>
+  </distributionManagement>
+
+  <properties>
+    <!-- Set versions for subprojects -->
+    <aciitemeditor.version>1.3.0.SNAPSHOT</aciitemeditor.version>
+    <apacheds.launcher.version>1.2.0</apacheds.launcher.version>
+    <apacheds.version>1.3.0.SNAPSHOT</apacheds.version>
+    <apacheds.help.version>1.3.0.SNAPSHOT</apacheds.help.version>
+    <apacheds.feature.version>1.3.0.SNAPSHOT</apacheds.feature.version>
+    <apacheds.configuration.version>1.3.0.SNAPSHOT</apacheds.configuration.version>
+    <apacheds.configuration.feature.version>1.3.0.SNAPSHOT</apacheds.configuration.feature.version>
+    <apacheds.configuration.help.version>1.3.0.SNAPSHOT</apacheds.configuration.help.version>
+    <connection.core.version>1.3.0.SNAPSHOT</connection.core.version>
+    <connection.ui.version>1.3.0.SNAPSHOT</connection.ui.version>
+    <jars.version>1.3.0.SNAPSHOT</jars.version>
+    <ldapbrowser.common.version>1.3.0.SNAPSHOT</ldapbrowser.common.version>
+    <ldapbrowser.core.version>1.3.0.SNAPSHOT</ldapbrowser.core.version>
+    <ldapbrowser.feature.version>1.3.0.SNAPSHOT</ldapbrowser.feature.version>
+    <ldapbrowser.help.version>1.3.0.SNAPSHOT</ldapbrowser.help.version>
+    <ldapbrowser.ui.version>1.3.0.SNAPSHOT</ldapbrowser.ui.version>
+    <ldifeditor.version>1.3.0.SNAPSHOT</ldifeditor.version>
+    <ldifeditor.feature.version>1.3.0.SNAPSHOT</ldifeditor.feature.version>
+    <ldifeditor.help.version>1.3.0.SNAPSHOT</ldifeditor.help.version>
+    <ldifparser.version>1.3.0.SNAPSHOT</ldifparser.version>
+    <rcp.version>1.3.0.SNAPSHOT</rcp.version>
+    <rcp.feature.version>1.3.0.SNAPSHOT</rcp.feature.version>
+    <rcp.help.version>1.3.0.SNAPSHOT</rcp.help.version>
+    <repository.version>1.3.0.SNAPSHOT</repository.version>
+    <schemaeditor.version>1.3.0.SNAPSHOT</schemaeditor.version>
+    <schemaeditor.feature.version>1.3.0.SNAPSHOT</schemaeditor.feature.version>
+    <schemaeditor.help.version>1.3.0.SNAPSHOT</schemaeditor.help.version>
+    <studio.dsml.parser.version>0.4.3-SNAPSHOT</studio.dsml.parser.version>
+    <updatesite.version>1.3.0.SNAPSHOT</updatesite.version>
+    <valueeditors.version>1.3.0.SNAPSHOT</valueeditors.version>
+    <test.integration.core.version>1.3.0.SNAPSHOT</test.integration.core.version>
+    <test.integration.ui.version>1.3.0.SNAPSHOT</test.integration.ui.version>
+
+    <!-- Set versions for depending projects -->
+    <org.apache.directory.shared.version>0.9.13-SNAPSHOT</org.apache.directory.shared.version>
+  </properties>
+
+  <profiles>
+    <!-- Skip tests -->
+    <profile>
+      <id>notests</id>
+      <properties>
+        <maven.test.skip>true</maven.test.skip>
+      </properties>
+    </profile>
+  </profiles>
+
+  <dependencyManagement>
+    <dependencies>
+      <!-- Apache Directory Studio -->
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>studio-dsml-parser</artifactId>
+        <version>${studio.dsml.parser.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>ldapbrowser.core</artifactId>
+        <version>${ldapbrowser.core.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>ldapbrowser.common</artifactId>
+        <version>${ldapbrowser.common.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>connection.ui</artifactId>
+        <version>${connection.ui.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>connection.core</artifactId>
+        <version>${connection.core.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>valueeditors</artifactId>
+        <version>${valueeditors.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>rcp</artifactId>
+        <version>${rcp.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>ldifeditor</artifactId>
+        <version>${ldifeditor.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>ldifparser</artifactId>
+        <version>${ldifparser.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>schemaeditor</artifactId>
+        <version>${schemaeditor.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>ldapbrowser.ui</artifactId>
+        <version>${ldapbrowser.ui.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>apacheds.configuration</artifactId>
+        <version>${apacheds.configuration.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>apacheds</artifactId>
+        <version>${apacheds.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>apacheds-launcher</artifactId>
+        <version>${apacheds.launcher.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>jars</artifactId>
+        <version>${jars.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>updatesite</artifactId>
+        <version>${updatesite.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>aciitemeditor</artifactId>
+        <version>${aciitemeditor.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>rcp.feature</artifactId>
+        <version>${rcp.feature.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>schemaeditor.feature</artifactId>
+        <version>${schemaeditor.feature.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>ldapbrowser.feature</artifactId>
+        <version>${ldapbrowser.feature.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>ldifeditor.feature</artifactId>
+        <version>${ldifeditor.feature.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>apacheds.configuration.feature</artifactId>
+        <version>${apacheds.configuration.feature.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>apacheds.feature</artifactId>
+        <version>${apacheds.feature.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>schemaeditor.help</artifactId>
+        <version>${schemaeditor.help.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>rcp.help</artifactId>
+        <version>${rcp.help.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>ldifeditor.help</artifactId>
+        <version>${ldifeditor.help.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>ldapbrowser.help</artifactId>
+        <version>${ldapbrowser.help.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>apacheds.configuration.help</artifactId>
+        <version>${apacheds.configuration.help.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>apacheds.help</artifactId>
+        <version>${apacheds.help.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>test.integration.core</artifactId>
+        <version>${test.integration.core.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>test.integration.ui</artifactId>
+        <version>${test.integration.ui.version}</version>
+      </dependency>
+      
+      <!-- Maven -->
+      <dependency>
+        <groupId>org.apache.maven</groupId>
+        <artifactId>maven-plugin-api</artifactId>
+        <version>2.0</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.maven.plugins</groupId>
+        <artifactId>maven-dependency-plugin</artifactId>
+        <version>2.0</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.maven</groupId>
+        <artifactId>maven-artifact</artifactId>
+        <version>2.0.7</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.maven</groupId>
+        <artifactId>maven-model</artifactId>
+        <version>2.0.7</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.maven</groupId>
+        <artifactId>maven-project</artifactId>
+        <version>2.0.7</version>
+      </dependency>
+      
+    <!-- Apache Directory Studio launchers dependencies -->
+    <dependency>
+      <groupId>org.apache.directory.studio</groupId>
+      <artifactId>launcher-linux-x86</artifactId>
+      <type>tar.gz</type>
+      <version>1.1.0</version>
+    </dependency>
+    <dependency>
+      <groupId>org.apache.directory.studio</groupId>
+      <artifactId>launcher-linux-x86_64</artifactId>
+      <type>tar.gz</type>
+      <version>1.1.0</version>
+    </dependency>
+    <dependency>
+      <groupId>org.apache.directory.studio</groupId>
+      <artifactId>launcher-linux-ppc</artifactId>
+      <type>tar.gz</type>
+      <version>1.1.0</version>
+    </dependency>
+    <dependency>
+      <groupId>org.apache.directory.studio</groupId>
+      <artifactId>launcher-macosx</artifactId>
+      <type>tar.gz</type>
+      <version>1.3.0</version>
+    </dependency>
+    <dependency>
+      <groupId>org.apache.directory.studio</groupId>
+      <artifactId>launcher-win32</artifactId>
+      <type>tar.gz</type>
+      <version>1.1.0</version>
+    </dependency>
+	
+	<!-- Eclipse dependencies -->
+    <dependency>
+      <groupId>com.ibm</groupId>
+      <artifactId>icu</artifactId>
+      <version>3.8.1.v20080530</version>
+    </dependency>
+    <dependency>
+      <groupId>javax</groupId>
+      <artifactId>servlet</artifactId>
+      <version>2.4.0.v200806031604</version>
+    </dependency>
+    <dependency>
+      <groupId>javax.servlet</groupId>
+      <artifactId>jsp</artifactId>
+      <version>2.0.0.v200806031607</version>
+    </dependency>
+    <dependency>
+      <groupId>org.apache.commons</groupId>
+      <artifactId>el</artifactId>
+      <version>1.0.0.v200806031608</version>
+    </dependency>
+    <dependency>
+      <groupId>org.apache.commons</groupId>
+      <artifactId>logging</artifactId>
+      <version>1.0.4.v20080605-1930</version>
+    </dependency>
+    <dependency>
+      <groupId>org.apache</groupId>
+      <artifactId>jasper</artifactId>
+      <version>5.5.17.v200806031609</version>
+    </dependency>
+    <dependency>
+      <groupId>org.apache</groupId>
+      <artifactId>lucene</artifactId>
+      <version>1.9.1.v20080530-1600</version>
+    </dependency>
+    <dependency>
+      <groupId>org.apache.lucene</groupId>
+      <artifactId>analysis</artifactId>
+      <version>1.9.1.v20080530-1600</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse</groupId>
+      <artifactId>compare</artifactId>
+      <version>3.4.0.I20080604-studio</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>boot</artifactId>
+      <version>3.1.100.v20080218</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>commands</artifactId>
+      <version>3.4.0.I20080509-2000</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>contenttype</artifactId>
+      <version>3.3.0.v20080604-1400</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>databinding</artifactId>
+      <version>1.1.0.I20080527-2000</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>expressions</artifactId>
+      <version>3.4.0.v20080603-2000</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>filebuffers</artifactId>
+      <version>3.4.0.v20080603-2000</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>filesystem</artifactId>
+      <version>1.2.0.v20080604-1400</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core.filesystem.linux</groupId>
+      <artifactId>ppc</artifactId>
+      <version>1.0.100.v20080604-1400</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core.filesystem.linux</groupId>
+      <artifactId>x86</artifactId>
+      <version>1.2.0.v20080604-1400</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core.filesystem.linux</groupId>
+      <artifactId>x86_64</artifactId>
+      <version>1.0.100.v20080604-1400</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core.filesystem</groupId>
+      <artifactId>macosx</artifactId>
+      <version>1.0.0.v20080604-1400</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core.filesystem.win32</groupId>
+      <artifactId>x86</artifactId>
+      <version>1.1.0.v20080604-1400</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>jobs</artifactId>
+      <version>3.4.0.v20080512</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>net</artifactId>
+      <version>1.1.0.I20080604</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>resources</artifactId>
+      <version>3.4.0.v20080604-1400</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core.resources</groupId>
+      <artifactId>compatibility</artifactId>
+      <version>3.4.0.v20080604-1400</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>runtime</artifactId>
+      <version>3.4.0.v20080512</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core.runtime</groupId>
+      <artifactId>compatibility</artifactId>
+      <version>3.2.0.v20071008</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core.runtime.compatibility</groupId>
+      <artifactId>auth</artifactId>
+      <version>3.2.100.v20070502</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core.runtime.compatibility</groupId>
+      <artifactId>registry</artifactId>
+      <version>3.2.200.v20080610</version>
+      <type>zip</type>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>variables</artifactId>
+      <version>3.2.100.v20080529-1300</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.debug</groupId>
+      <artifactId>core</artifactId>
+      <version>3.4.0.v20080612</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.debug</groupId>
+      <artifactId>ui</artifactId>
+      <version>3.4.0.v20080529-1300-studio</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.equinox</groupId>
+      <artifactId>app</artifactId>
+      <version>1.1.0.v20080421-2006</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.equinox</groupId>
+      <artifactId>common</artifactId>
+      <version>3.4.0.v20080421-2006</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.equinox.http</groupId>
+      <artifactId>jetty</artifactId>
+      <version>1.1.0.v20080425</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.equinox.http</groupId>
+      <artifactId>registry</artifactId>
+      <version>1.0.100.v20080427-0830</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.equinox.http</groupId>
+      <artifactId>servlet</artifactId>
+      <version>1.0.100.v20080427-0830</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.equinox.jsp</groupId>
+      <artifactId>jasper</artifactId>
+      <version>1.0.100.v20080427-0830</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.equinox.jsp.jasper</groupId>
+      <artifactId>registry</artifactId>
+      <version>1.0.0.v20080427-0830</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.equinox</groupId>
+      <artifactId>launcher</artifactId>
+      <version>1.0.100.v20080509-1800</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.equinox.launcher.carbon</groupId>
+      <artifactId>macosx</artifactId>
+      <version>1.0.100.v20080509-1800</version>
+      <type>zip</type>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.equinox.launcher.gtk.linux</groupId>
+      <artifactId>ppc</artifactId>
+      <version>1.0.100.v20080606</version>
+      <type>zip</type>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.equinox.launcher.gtk.linux</groupId>
+      <artifactId>x86</artifactId>
+      <version>1.0.100.v20080606</version>
+      <type>zip</type>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.equinox.launcher.gtk.linux</groupId>
+      <artifactId>x86_64</artifactId>
+      <version>1.0.100.v20080606</version>
+      <type>zip</type>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.equinox.launcher.win32.win32</groupId>
+      <artifactId>x86</artifactId>
+      <version>1.0.100.v20080509-1800</version>
+      <type>zip</type>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.equinox</groupId>
+      <artifactId>preferences</artifactId>
+      <version>3.2.200.v20080421-2006</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.equinox</groupId>
+      <artifactId>registry</artifactId>
+      <version>3.4.0.v20080516-0950</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.equinox</groupId>
+      <artifactId>security</artifactId>
+      <version>1.0.0.v20080512-1800</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse</groupId>
+      <artifactId>help</artifactId>
+      <version>3.3.100.v20080610</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.help</groupId>
+      <artifactId>appserver</artifactId>
+      <version>3.1.300.v20080507</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.help</groupId>
+      <artifactId>base</artifactId>
+      <version>3.3.100.v20080617</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.help</groupId>
+      <artifactId>ui</artifactId>
+      <version>3.3.100.v20080521</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.help</groupId>
+      <artifactId>webapp</artifactId>
+      <version>3.3.100.v20080528</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.jdt</groupId>
+      <artifactId>core</artifactId>
+      <version>3.4.0.v_874</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.jdt.core</groupId>
+      <artifactId>manipulation</artifactId>
+      <version>1.2.0.v20080603-2000</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.jdt</groupId>
+      <artifactId>debug</artifactId>
+      <version>3.4.0.v20080604</version>
+      <type>zip</type>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.jdt.debug</groupId>
+      <artifactId>ui</artifactId>
+      <version>3.3.0.v20080603-studio</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.jdt</groupId>
+      <artifactId>launching</artifactId>
+      <version>3.4.0.v20080529-1300</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.jdt.launching</groupId>
+      <artifactId>macosx</artifactId>
+      <version>3.1.100.v20080422</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.jdt</groupId>
+      <artifactId>ui</artifactId>
+      <version>3.4.0.v20080603-2000-studio</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse</groupId>
+      <artifactId>jface</artifactId>
+      <version>3.4.0.I20080606-1300</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.jface</groupId>
+      <artifactId>databinding</artifactId>
+      <version>1.2.0.I20080515-2000a</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.jface</groupId>
+      <artifactId>text</artifactId>
+      <version>3.4.0.v20080603-2000</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.ltk.core</groupId>
+      <artifactId>refactoring</artifactId>
+      <version>3.4.0.v20080603-2000</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.ltk.ui</groupId>
+      <artifactId>refactoring</artifactId>
+      <version>3.4.0.v20080605-1800</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse</groupId>
+      <artifactId>osgi</artifactId>
+      <version>3.4.0.v20080605-1900</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.osgi</groupId>
+      <artifactId>services</artifactId>
+      <version>3.1.200.v20071203</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.osgi</groupId>
+      <artifactId>util</artifactId>
+      <version>3.1.300.v20080303</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse</groupId>
+      <artifactId>rcp</artifactId>
+      <version>3.4.0.v20080507</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse</groupId>
+      <artifactId>sdk</artifactId>
+      <version>3.4.0.v200806172000</version>
+      <type>zip</type>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse</groupId>
+      <artifactId>search</artifactId>
+      <version>3.4.0.v20080603-2000-studio</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse</groupId>
+      <artifactId>swt</artifactId>
+      <version>3.4.0.v3448f</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.swt.carbon</groupId>
+      <artifactId>macosx</artifactId>
+      <version>3.4.0.v3448f</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.swt.gtk.linux</groupId>
+      <artifactId>ppc</artifactId>
+      <version>3.4.0.v3448f</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.swt.gtk.linux</groupId>
+      <artifactId>x86</artifactId>
+      <version>3.4.0.v3448f</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.swt.gtk.linux</groupId>
+      <artifactId>x86_64</artifactId>
+      <version>3.4.0.v3448f</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.swt.win32.win32</groupId>
+      <artifactId>x86</artifactId>
+      <version>3.4.0.v3448f</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.team</groupId>
+      <artifactId>core</artifactId>
+      <version>3.4.0.I20080605</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.team</groupId>
+      <artifactId>ui</artifactId>
+      <version>3.4.0.I20080604-studio</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse</groupId>
+      <artifactId>text</artifactId>
+      <version>3.4.0.v20080605-1800</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse</groupId>
+      <artifactId>ui</artifactId>
+      <version>3.4.0.I20080610-1200</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.ui</groupId>
+      <artifactId>carbon</artifactId>
+      <version>4.0.0.I20080610-1200</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.ui</groupId>
+      <artifactId>console</artifactId>
+      <version>3.3.0.v20080529-1300</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.ui</groupId>
+      <artifactId>editors</artifactId>
+      <version>3.4.0.v20080603-2000-studio</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.ui</groupId>
+      <artifactId>forms</artifactId>
+      <version>3.3.100.v20080611</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.ui</groupId>
+      <artifactId>ide</artifactId>
+      <version>3.4.0.I20080606-1300-studio</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.ui.ide</groupId>
+      <artifactId>application</artifactId>
+      <version>1.0.0.I20080603-2000-studio</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.ui</groupId>
+      <artifactId>intro</artifactId>
+      <version>3.2.200.v20080610</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.ui</groupId>
+      <artifactId>navigator</artifactId>
+      <version>3.3.100.I20080606-1300</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.ui.navigator</groupId>
+      <artifactId>resources</artifactId>
+      <version>3.3.100.I20080606-1300-studio</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.ui</groupId>
+      <artifactId>net</artifactId>
+      <version>1.0.0.I20080605</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.ui</groupId>
+      <artifactId>views</artifactId>
+      <version>3.3.0.I20080509-2000-studio</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.ui.views.properties</groupId>
+      <artifactId>tabbed</artifactId>
+      <version>3.4.0.I20080527-2000</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.ui</groupId>
+      <artifactId>win32</artifactId>
+      <version>3.2.100.v20080408-0800</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.ui</groupId>
+      <artifactId>workbench</artifactId>
+      <version>3.4.0.I20080606-1300</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.ui.workbench</groupId>
+      <artifactId>compatibility</artifactId>
+      <version>3.2.0.I20080509-2000</version>
+      <type>zip</type>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.ui.workbench</groupId>
+      <artifactId>texteditor</artifactId>
+      <version>3.4.0.v20080603-2000</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.update</groupId>
+      <artifactId>configurator</artifactId>
+      <version>3.2.200.v20080417</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.update</groupId>
+      <artifactId>core</artifactId>
+      <version>3.2.200.v20080515</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.update</groupId>
+      <artifactId>scheduler</artifactId>
+      <version>3.2.100.v20080404</version>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.update</groupId>
+      <artifactId>ui</artifactId>
+      <version>3.2.100.v20080318</version>
+    </dependency>
+    <dependency>
+      <groupId>org.mortbay</groupId>
+      <artifactId>jetty</artifactId>
+      <version>5.1.14.v200806031611</version>
+    </dependency>
+    
+    <!-- Testing framework dependencies -->
+    <dependency>
+      <groupId>net.sf.swtbot.eclipse</groupId>
+      <artifactId>finder</artifactId>
+        <version>1.2.0.840</version>
+    </dependency>
+    <dependency>
+      <groupId>net.sf.swtbot</groupId>
+      <artifactId>finder</artifactId>
+        <version>1.2.0.840</version>
+    </dependency>
+    
+    <!-- Documentation generation dependencies -->
+    <dependency>
+      <groupId>docbook</groupId>
+      <artifactId>docbook-xml</artifactId>
+      <type>zip</type>
+      <version>4.5</version>
+    </dependency>
+    <dependency>
+      <groupId>docbook</groupId>
+      <artifactId>docbook-xsl</artifactId>
+      <type>zip</type>
+      <version>1.71.1</version>
+    </dependency>
+
+      <!-- Apache Directory Shared -->
+      <dependency>
+        <groupId>org.apache.directory.shared</groupId>
+        <artifactId>shared-ldap</artifactId>
+        <version>${org.apache.directory.shared.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.shared</groupId>
+        <artifactId>shared-asn1</artifactId>
+        <version>${org.apache.directory.shared.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.shared</groupId>
+        <artifactId>shared-converter</artifactId>
+        <version>${org.apache.directory.shared.version}</version>
+      </dependency>
+
+      <!-- Other dependencies -->
+      <dependency>
+        <groupId>org.apache.xmlgraphics</groupId>
+        <artifactId>fop</artifactId>
+        <version>0.94</version>
+      </dependency>
+      <dependency>
+        <groupId>xerces</groupId>
+        <artifactId>xercesImpl</artifactId>
+        <version>2.0.2</version>
+      </dependency>
+      <dependency>
+        <groupId>checkstyle</groupId>
+        <artifactId>checkstyle</artifactId>
+        <version>2.2</version>
+      </dependency>
+      <dependency>
+        <groupId>antlr</groupId>
+        <artifactId>antlr</artifactId>
+        <version>2.7.7</version>
+      </dependency>
+      <dependency>
+        <groupId>docbook</groupId>
+        <artifactId>docbook-xml</artifactId>
+        <type>zip</type>
+        <version>4.5</version>
+      </dependency>
+      <dependency>
+        <groupId>docbook</groupId>
+        <artifactId>docbook-xsl</artifactId>
+        <type>zip</type>
+        <version>1.71.1</version>
+      </dependency>
+      <dependency>
+        <groupId>dom4j</groupId>
+        <artifactId>dom4j</artifactId>
+        <version>1.6.1</version>
+      </dependency>
+      <dependency>
+        <groupId>commons-io</groupId>
+        <artifactId>commons-io</artifactId>
+        <version>1.3.1</version>
+      </dependency>
+      <dependency>
+        <groupId>commons-lang</groupId>
+        <artifactId>commons-lang</artifactId>
+        <version>2.3</version>
+      </dependency>
+      <dependency>
+        <groupId>commons-codec</groupId>
+        <artifactId>commons-codec</artifactId>
+        <version>1.3</version>
+      </dependency>
+      <dependency>
+        <groupId>commons-collections</groupId>
+        <artifactId>commons-collections</artifactId>
+        <version>3.2</version>
+      </dependency>
+      <dependency>
+        <groupId>xpp3</groupId>
+        <artifactId>xpp3</artifactId>
+        <version>1.1.3.4.O</version>
+      </dependency>
+      <dependency>
+        <groupId>junit</groupId>
+        <artifactId>junit</artifactId>
+        <version>3.8.2</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.poi</groupId>
+        <artifactId>poi</artifactId>
+        <version>3.0.1-FINAL</version>
+      </dependency>
+      <dependency>
+        <groupId>org.slf4j</groupId>
+        <artifactId>nlog4j</artifactId>
+        <version>1.2.25</version>
+      </dependency>
+
+    </dependencies>
+  </dependencyManagement>
+
+  <modules>
+    <module>repository</module>
+    <module>ldif-parser</module>
+    <module>connection-core</module>
+    <module>studio-dsml-parser</module>
+    <module>ldapbrowser-core</module>
+    <module>connection-ui</module>
+    <module>ldapbrowser-common</module>
+    <module>valueeditors</module>
+    <module>aciitemeditor</module>
+    <module>schemaeditor</module>
+    <module>schemaeditor-feature</module>
+    <module>schemaeditor-help</module>
+    <module>rcp</module>
+    <module>rcp-feature</module>
+    <module>rcp-help</module>
+    <module>ldifeditor</module>
+    <module>ldifeditor-feature</module>
+    <module>ldifeditor-help</module>
+    <module>ldapbrowser-ui</module>
+    <module>ldapbrowser-feature</module>
+    <module>ldapbrowser-help</module>
+    <module>apacheds-configuration</module>
+    <module>apacheds-configuration-feature</module>
+    <module>apacheds-configuration-help</module>
+    <module>apacheds-launcher</module>
+    <module>apacheds</module>
+    <module>apacheds-help</module>
+    <module>apacheds-feature</module>
+    <module>jars</module>
+    <module>test-integration-core</module>
+    <module>test-integration-ui</module>
+    <module>updatesite</module>
+    <module>studio</module>
+  </modules>
+
+  <build>
+    <plugins>
+      <plugin>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>maven-studio-plugin</artifactId>
+        <configuration>
+          <goalPrefix>studio</goalPrefix>
+        </configuration>
+      </plugin>
+      <plugin>
+        <groupId>org.apache.maven.plugins</groupId>
+        <artifactId>maven-eclipse-plugin</artifactId>
+        <configuration>
+          <skip>true</skip>
+        </configuration>
+      </plugin>
+      <plugin>
+        <groupId>org.apache.maven.plugins</groupId>
+        <artifactId>maven-release-plugin</artifactId>
+        <configuration>
+          <tagBase>https://svn.apache.org/repos/asf/directory/studio/tags/</tagBase>
+        </configuration>
+      </plugin>
+      <plugin>
+        <artifactId>maven-compiler-plugin</artifactId>
+        <configuration>
+          <source>1.5</source>
+          <target>1.5</target>
+        </configuration>
+      </plugin>
+    </plugins>
+
+    <pluginManagement>
+      <plugins>
+        <plugin>
+          <groupId>org.apache.directory.studio</groupId>
+          <artifactId>maven-studio-plugin</artifactId>
+          <version>1.0.0</version>
+        </plugin>
+        <plugin>
+          <groupId>org.apache.maven.plugins</groupId>
+          <artifactId>maven-eclipse-plugin</artifactId>
+          <version>2.5.1</version>
+        </plugin>
+        <plugin>
+          <groupId>org.codehaus.mojo</groupId>
+          <artifactId>dependency-maven-plugin</artifactId>
+          <version>1.0</version>
+        </plugin>
+
+        <plugin>
+          <groupId>org.apache.maven.plugins</groupId>
+          <artifactId>maven-antlr-plugin</artifactId>
+          <version>2.0-beta-1</version>
+          <executions>
+            <execution>
+              <goals>
+                <goal>generate</goal>
+              </goals>
+            </execution>
+          </executions>
+        </plugin>
+
+        <plugin>
+          <groupId>org.apache.maven.plugins</groupId>
+          <artifactId>maven-antrun-plugin</artifactId>
+          <dependencies>
+            <dependency>
+              <groupId>org.apache.ant</groupId>
+              <artifactId>ant-apache-regexp</artifactId>
+              <version>1.7.1</version>
+              <scope>compile</scope>
+            </dependency>
+            <dependency>
+              <groupId>xalan</groupId>
+              <artifactId>xalan</artifactId>
+              <version>2.7.0</version>
+              <scope>compile</scope>
+            </dependency>
+            <dependency>
+              <groupId>ant</groupId>
+              <artifactId>optional</artifactId>
+              <version>1.5.4</version>
+              <scope>compile</scope>
+            </dependency>
+            <dependency>
+              <groupId>org.apache.xmlgraphics</groupId>
+              <artifactId>fop</artifactId>
+              <version>0.94</version>
+              <scope>compile</scope>
+            </dependency>
+            <!-- 
+              Putting this dependency in the core pom produces following error (?):
+              Embedded error: java.lang.ClassCastException: org.apache.fop.render.pdf.PDFRendererMaker cannot be cast to org.apache.fop.render.AbstractRendererMaker
+              <dependency>
+              <groupId>org.apache.xmlgraphics</groupId>
+              <artifactId>xmlgraphics-commons</artifactId>
+              <version>1.1</version>
+              <scope>compile</scope>
+              </dependency>
+            -->
+          </dependencies>
+        </plugin>
+      </plugins>
+    </pluginManagement>
+
+  </build>
+
+  <reporting>
+    <excludeDefaults>true</excludeDefaults>
+    <plugins>
+      <!--
+        <plugin>
+        <groupId>org.codehaus.mojo</groupId>
+        <artifactId>changelog-maven-plugin</artifactId>
+        <reportSets>
+        <reportSet>
+        <id>dual-report</id>
+        <configuration>
+        <type>range</type>
+        <range>30</range>
+        </configuration>
+        <reports>
+        <report>changelog</report>
+        <report>file-activity</report>
+        <report>dev-activity</report>
+        </reports>
+        </reportSet>
+        </reportSets>
+        </plugin>
+      -->
+      <plugin>
+        <groupId>org.apache.maven.plugins</groupId>
+        <artifactId>maven-surefire-report-plugin</artifactId>
+        <configuration>
+          <aggregate>true</aggregate>
+        </configuration>
+      </plugin>
+      <plugin>
+        <artifactId>maven-jxr-plugin</artifactId>
+        <configuration>
+          <aggregate>true</aggregate>
+        </configuration>
+      </plugin>
+      <plugin>
+        <artifactId>maven-pmd-plugin</artifactId>
+        <configuration>
+          <linkXref>true</linkXref>
+          <sourceEncoding>utf-8</sourceEncoding>
+          <minimumTokens>100</minimumTokens>
+          <targetJdk>1.5</targetJdk>
+          <aggregate>true</aggregate>
+        </configuration>
+      </plugin>
+      <plugin>
+        <groupId>org.codehaus.mojo</groupId>
+        <artifactId>taglist-maven-plugin</artifactId>
+        <configuration>
+          <tags>
+            <tag>TODO</tag>
+            <tag>@todo</tag>
+            <tag>@deprecated</tag>
+            <tag>FIXME</tag>
+          </tags>
+        </configuration>
+      </plugin>
+      <plugin>
+        <groupId>org.apache.maven.plugins</groupId>
+        <artifactId>maven-javadoc-plugin</artifactId>
+        <configuration>
+          <aggregate>true</aggregate>
+          <minmemory>128m</minmemory>
+          <maxmemory>1g</maxmemory>
+        </configuration>
+      </plugin>
+      <plugin>
+        <groupId>org.codehaus.mojo</groupId>
+        <artifactId>findbugs-maven-plugin</artifactId>
+        <version>1.2</version>
+        <configuration>
+          <xmlOutput>false</xmlOutput>
+          <!--
+            <xmlOutput>true|false</xmlOutput>
+            <xmlOutputDirectory>directory location of xml findbugs report</xmlOutputDirectory>
+            <threshold>High|Normal|Low|Exp|Ignore</threshold>
+            <effort>Min|Default|Max</effort>
+            <excludeFilterFile>findbugs-exclude.xml</excludeFilterFile>
+            <includeFilterFile>findbugs-include.xml</includeFilterFile>
+            <visitors>FindDeadLocalStores,UnreadFields</visitors>
+            <omitVisitors>FindDeadLocalStores,UnreadFields</omitVisitors>
+            <onlyAnalyze>org.codehaus.mojo.findbugs.*</onlyAnalyze>
+            <pluginList>/libs/fb-contrib/fb-contrib-2.8.0.jar</pluginList>
+            <debug>true|false</debug>
+            <relaxed>true|false</relaxed>
+          -->
+        </configuration>
+      </plugin>
+      <plugin>
+        <groupId>org.codehaus.mojo</groupId>
+        <artifactId>cobertura-maven-plugin</artifactId>
+      </plugin>
+      <plugin>
+        <groupId>org.apache.maven.plugins</groupId>
+        <artifactId>maven-checkstyle-plugin</artifactId>
+      </plugin>
+    </plugins>
+  </reporting>
+
+  <repositories>
+    <repository>
+      <id>apache.directory.snapshot.repo</id>
+      <name>Snapshot repository for the Apache Directory project</name>
+      <url>http://vm094.oxylos.org/mirror-maven2/</url>
+      <releases>
+        <enabled>false</enabled>
+      </releases>
+    </repository>
+  </repositories>
+  
+</project>



Mime
View raw message